
Foreman - Bug #696

Deletion of environment in use, sometimes generates 500 error.

03/01/2011 01:24 PM - Bash Shell

Status: Resolved   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing EnvironmentsController#destroy (for 10.22.2.185 at 2011-02-28 17:42:51) [DELETE]

  Parameters: {"authenticity_token"=>"qKhwJHF40TX4u4OWTEpFT6YuwsYRAiEs6642BL/lKoU=", "id"=>"prod"}

You may not destroy prod as it is in use!

Redirected to https://foremanstage1/environments

Completed in 2730ms (DB: 28) | 302 Found [https://foremanstage1/environments/prod]

Processing EnvironmentsController#index (for 10.22.2.15 at 2011-02-28 17:42:54) [GET]

ArgumentError (marshal data too short):

  app/controllers/application_controller.rb:42:in `require_login'

  passenger (2.2.14) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.14) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_hand

ler'

  passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_appli

cation'

  passenger (2.2.14) lib/phusion_passenger/utils.rb:252:in `safe_fork'

  passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_appli

cation'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

  passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Related issues:

Related to Foreman - Bug #1061: Deleting environments in use triggers an erro... Closed 07/22/2011

History

#1 - 06/09/2011 03:26 PM - Jacob McCann

I just received this as well with foreman 0.3.  My error was slightly different:

Processing EnvironmentsController#destroy (for ###.###.###.### at 2011-06-09 14:24:21) [DELETE]
Parameters: {"authenticity_token"=>"YIGfIErFy9v+4nsVZFnmFGRrzwRIO48dQ0MpCEanwtg=", "id"=>"beta"}

You may not destroy beta as it is in use!

NameError (undefined local variable or method `load_vars_for_ajax' for #<EnvironmentsController:0x7fe87306af00>):

app/controllers/environments_controller.rb:51:in `destroy'

passenger (3.0.2) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.2) helper-scripts/passenger-spawn-server:99

Rendering /srv/www/usps-puppet-foreman/public/500.html (500 Internal Server Error)

#2 - 01/29/2012 04:45 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 1.0

this is already fixed on current development branch

#3 - 01/29/2012 04:45 AM - Ohad Levy

- Status changed from New to Resolved
